ProyectoCrm/src/app/Modulos/UsuariosModulo/Paginas/fw-usuarios/Componentes/fw-usuarios-cabecera/fw-usuarios-cabecera.component.pug
div.form-row
  div.form-group.col-12.col-lg-6
    div.form-row
      div.form-group.col-12.col-lg-10
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-user-shield
          input(type="text",
                  [disabled]="!tNuevo",
                  placeholder="Usuario",
                  [(ngModel)]="tUsuario.Codusuario",
                  required="",
                  size="sm")#txtCodusuario.ControlInput--Input
      div.form-group.col-12.col-lg-2
        div(role="toolbar",
            aria-label="Toolbar with button groups").btn-toolbar
          div(role="group").btn-group.btn-group-sm.mr-1
            button(type="button", [disabled]="!tNuevo", (click)="Buscar()").btn.btn-outline-primary
              i.fas.fa-search
          div(role="group").btn-group.btn-group-sm
            button(type="button", [disabled]="!tNuevo", (click)="AbrirModal()").btn.btn-outline-info
              i.fas.fa-list
    div.form-row
      div.form-group.col-12
        div.input-group
            textarea(placeholder="Nombre",
                name="Descripcion",
                required="",
                [(ngModel)]="tUsuario.Descripcion",
                rows="3").form-control.form-control-sm
    div.form-row
      div.form-group.col-12
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-address-card
          input(type="text",
                      [disabled]="!tNuevo",
                      placeholder="Cedula",
                      [(ngModel)]="tUsuario.Cedula",
                      required="",
                      size="sm").ControlInput--Input
    div.form-row
      div.form-group.col-12.col-lg-6
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-unlock-alt
          select([(ngModel)]="tEstatusActual", (change)="CambiarEstatus()", size-select="sm").ControlInput--Select
            option(*ngFor="let tEsta of tEstatus",
                [ngValue]="tEsta") {{tEsta.Codestatus}}
      div.form-group.col-12.col-lg-6
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-user-check
          select([(ngModel)]="tTipoActual", (change)="CambiarTipo()", size-select="sm").ControlInput--Select
            option(*ngFor="let tTipo of tTipos",
                    [ngValue]="tTipo") {{tTipo.Codtipo}}
    div.form-row
      div.form-group.col-12
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-at
          input(type="email",
                  [(ngModel)]="tUsuario.Email",
                  placeholder="Email",
                  name="Email",
                  aria-label="Email",
                  aria-describedby="Email",
                  required="",
                  size="sm").ControlInput--Input
  div.form-group.col-12.col-lg-6
    img(src="assets/Usuario.svg").img-fluid.text-center

ProyectoCrm/src/app/Modulos/UsuariosModulo/Paginas/fw-usuarios/Componentes/fw-usuarios-cabecera/fw-usuarios-cabecera.component.html

<div class="form-row">
  <div class="form-group col-12 col-lg-6">
    <div class="form-row">
      <div class="form-group col-12 col-lg-10">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-user-shield"></i></span></div>
          <input class="ControlInput--Input" type="text" [disabled]="!tNuevo" placeholder="Usuario" [(ngModel)]="tUsuario.Codusuario" required="" size="sm" id="txtCodusuario"/>
        </div>
      </div>
      <div class="form-group col-12 col-lg-2">
        <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
          <div class="btn-group btn-group-sm mr-1" role="group">
            <button class="btn btn-outline-primary" type="button" [disabled]="!tNuevo" (click)="Buscar()"><i class="fas fa-search"></i></button>
          </div>
          <div class="btn-group btn-group-sm" role="group">
            <button class="btn btn-outline-info" type="button" [disabled]="!tNuevo" (click)="AbrirModal()"><i class="fas fa-list"></i></button>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="input-group">
          <textarea class="form-control form-control-sm" placeholder="Nombre" name="Descripcion" required="" [(ngModel)]="tUsuario.Descripcion" rows="3"></textarea>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-address-card"></i></span></div>
          <input class="ControlInput--Input" type="text" [disabled]="!tNuevo" placeholder="Cedula" [(ngModel)]="tUsuario.Cedula" required="" size="sm"/>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-lg-6">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-unlock-alt"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tEstatusActual" (change)="CambiarEstatus()" size-select="sm">
            <option *ngFor="let tEsta of tEstatus" [ngValue]="tEsta">{{tEsta.Codestatus}}</option>
          </select>
        </div>
      </div>
      <div class="form-group col-12 col-lg-6">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-user-check"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tTipoActual" (change)="CambiarTipo()" size-select="sm">
            <option *ngFor="let tTipo of tTipos" [ngValue]="tTipo">{{tTipo.Codtipo}}</option>
          </select>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-at"></i></span></div>
          <input class="ControlInput--Input" type="email" [(ngModel)]="tUsuario.Email" placeholder="Email" name="Email" aria-label="Email" aria-describedby="Email" required="" size="sm"/>
        </div>
      </div>
    </div>
  </div>
  <div class="form-group col-12 col-lg-6"><img class="img-fluid text-center" src="assets/Usuario.svg"/></div>
</div>
